Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.jdbc
Class GetSchemaNamesStatement

    java.lang.Object
      |
      +--com.bea.p13n.content.document.jdbc.CallableStatement
            |
            +--com.bea.p13n.content.document.jdbc.GetSchemaNamesStatement

public class GetSchemaNamesStatement
extends CallableStatement

A callable statement which handles getting the schema names.

This expects no input parameters. OutParam1 will be the DocumentIterator of string schema names.

Field Summary
`protected DocumentIterator` | `iterator` OutParam1: the DocumentIterator.

Fields inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`connection`

Constructor Summary
`GetSchemaNamesStatement(Connection con)` Constructor.

Method Summary
`void` | `clearParameters()` Clear the parameters.
`void` | `close()` Close the statement and any related resources.
`protected void` | `closeIterator()` Close the open document iterator.
`boolean` | `execute()` Execute the statement.
`java.lang.Object` | `getObject(int index)` Get the output parameter.
`void` | `setObject(int index, java.lang.Object ob)` Set the input parameter.

Methods inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`addBatch, addBatch, cancel, clearBatch, clearWarnings, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, getArray, getBigDecimal, getBigDecimal, getBlob, getBoolean, getByte, getBytes, getClob, getConnection, getDate, getDate, getDocumentProvider, getDouble, getFetchDirection, getFetchSize, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMetaData, getMoreResults, getObject, getQueryTimeout, getRef, getResultSet, getResultSetConcurrency, getResultSetType, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, getUpdateCount, getWarnings, registerOutParameter, registerOutParameter, registerOutParameter, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setQueryTimeout, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected DocumentIterator iterator

  OutParam1: the DocumentIterator.

Constructor Detail

### GetSchemaNamesStatement

    public GetSchemaNamesStatement(Connection con)

  Constructor.

Method Detail

### closeIterator

    protected void closeIterator()

  Close the open document iterator.

### close

    public void close()

  Close the statement and any related resources.

  Overrides:
    close in class CallableStatement
  See Also:
    `closeIterator()`

### clearParameters

    public void clearParameters()

  Clear the parameters.

  Overrides:
    clearParameters in class CallableStatement

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Execute the statement.

  Throws:
    java.sql.SQLException - thrown if an error occurs.
  Overrides:
    execute in class CallableStatement

### setObject

    public void setObject(int index,
                          java.lang.Object ob)
                   throws java.sql.SQLException

  Set the input parameter.

  Throws:
    java.sql.SQLException - always thrown.
  Overrides:
    setObject in class CallableStatement

### getObject

    public java.lang.Object getObject(int index)
                               throws java.sql.SQLException

  Get the output parameter.

  Throws:
    java.sql.SQLException - thrown on invalid argument or not executed yet.
  Overrides:
    getObject in class CallableStatement

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved